<template>
  <div v-if="dishes">
    <entree />
    <plat />
    <dessert />
    <boisson />
  </div>
</template>

<script>
import entree from "../views/entree";
import boisson from "../views/boisson";
import plat from "../views/plat";
import dessert from "../views/dessert";
export default {
  components: {
    entree,
    boisson,
    plat,
    dessert,
  },
  value: null,
  created() {
    this.$store.dispatch("getDishes");
  },
  computed: {
    dishes() {
      return this.$store.state.dishes;
    },
  },
};
</script>

<style scoped>
.img {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 100%;
}
</style>
